#pragma once
#include "rc5.h"

// Hier sind die Benutzer spezifischen Konfiguartionsparameter enthalten.
// Bei einer neuen Version muss nur diese Datei ausgetauscht werden.


#define   LABEL_CHANNEL1                "Input 1"
#define   DISPLAY_CHANNEL2              "Input 2"
#define   DISPLAY_CHANNEL3              "Input 3"
#define   DISPLAY_CHANNEL4              "Input 4"
#define   DISPLAY_CHANNEL5              "Input 5"
#define   DEFAULT_VOLUME_CHANNEL1       1
#define   DEFAULT_VOLUME_CHANNEL2       2
#define   DEFAULT_VOLUME_CHANNEL3       3
#define   DEFAULT_VOLUME_CHANNEL4       4
#define   DEFAULT_VOLUME_CHANNEL5       5


RC5_COMMAND_VALUES rc5Commands[] = {
{ RC5_ZERO, 0 },
{ RC5_ONE, 1 },
{ RC5_TWO, 2 },
{ RC5_THREE, 3 },
{ RC5_FOUR, 4 },
{ RC5_FIVE, 5 },
{ RC5_SIX, 6 },
{ RC5_SEVEN, 7 },
{ RC5_EIGHT, 8 },
{ RC5_NINE, 9 },
{ RC5_VOLUME_PLUS, 16 },
{ RC5_VOLUME_MINUS, 17 },
{ RC5_CHANNEL_PLUS, 32 },
{ RC5_CHANNEL_MINUS, 33 },
{ RC5_MUTE, 13 },
{ RC5_POWER, 12 },
{ RC5_SET, 43 },
{ RC5_DISPLAY, 54 },
{ RC5_VOLUME_RESTORE, 48 },
{ RC5_END, -1 }
};
