#include <Arduino.h>
#include "RC.h"

static int            flashCount = 0;
//static bool           *rcReceivedOn;
static unsigned int   counter = 51200;

ISR(TIMER1_OVF_vect)
{
	TCNT1 = counter;
	//  Serial.println("RC::flash");  
	//  Serial.println(flashCount);  
	flashCount++;
//	if ((flashCount % 2) == 0)
//		*rcReceivedOn = false;
//	else
//		*rcReceivedOn = true;
	if (flashCount == 4)
	{
		TIMSK1 &= ~(1 << TOIE1);
		flashCount = 0;
//		*rcReceivedOn = false;
	}
}


RC::RC()
{
}


RC::~RC()
{
}


//void RC::init(bool *rcReceivedOnPar)
void RC::init()
{
	//  Serial.println("RC::init");  
//	rcReceivedOn = rcReceivedOnPar;
	noInterrupts();
	TCCR1A = 0;
	TCCR1B = 0;

	TCNT1 = counter;
	TCCR1B |= (1 << CS11);    // 64 als Prescale-Wert
	TCCR1B |= (1 << CS10);    // 64 als Prescale-Wert
	interrupts();             // alle Interrupts scharf schalten
}

Action  *RC::getAction()
{
	Action    *pAction = new Action();

	pAction->setActionType(NONE);
	return pAction;
}

void    RC::displayRcCodeReceived()
{
	if (flashCount == 2)
	{
		TIMSK1 |= (1 << TOIE1);   // Timer Overflow Interrupt aktivieren
	}
}

