#pragma once

enum ACTIONTYPE {
	NONE, ROTATE_RIGHT, ROTATE_LEFT, PUSH_BUTTON_SHORT, PUSH_BUTTON_LONG,
	VOLUME_PLUS, VOLUME_MINUS, CHANNEL_ABSOLUTE, CHANNEL_PLUS, CHANNEL_MINUS, MUTE, VOLUME_SAVE, TIMEOUT, ACTION_POWER, ACTION_DISPLAY, RC_TEST,
	VOLUME_CLEAR, VOLUME_RESTORE
};

class Action
{
private:
	ACTIONTYPE    actionType;
	int           channelAbsolute;
	int           rcCode;
	int			  toggleBit;

public:
	Action();
	~Action();
	ACTIONTYPE getActionType();
	void setActionType(ACTIONTYPE actionType);
	int getChannelAbsolute();
	void setChannelAbsolute(int channelAbsolutePar);
	int getRcCode();
	void setRcCode(int rcCodePar);
	int getToggleBit();
	void setToggleBit(int toggleBitPar);
};
