#pragma once
#include "Action.h"
#include "RC5.h"
#include "Button.h"
#include "RotaryEncoder.h"

class Controls
{
private:
	RotaryEncoder               *pRotaryEncoder;
	Button                      *pButton;
	RC5                         *pRemoteControl;

public:
	Controls();
	~Controls();
	void init(RC5_COMMAND_VALUES *rc5CommandsPar);
	Action *getAction();
	RotaryEncoder *getRotaryEncoder();
	Button *getButton();
	RC5 *getRC5();
};

